Subject: Re: [Promoting Darwin Day in Fort Worth]

From: [email-masked]
Date: Tue, 7 Jun 2005 22:01:39 EDT

David:

I will be puting half a dozen copies of the last isue of the Journal (new one 
on its way from the printers now) to you tomorrow.  I'll see what I can do 
quicker than media mail without breaking the bank, in hopes it will reach you 
before Sat.  In return, would you send me whatever quantity of your best 
currently available brochure -- the one that was on the table in Alb. is fine, plus 
as many of the DD postcards as you can spare - by whatever means is likely to 
reach me in Chicago before next Wed.

Thanks.

Roger Brewin
10559 S Wood St
Chicago, IL 60643